package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.PersonSuperviseRelation;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface PersonSuperviseRelationService {
	PersonSuperviseRelation get(String id);
	boolean exist(String id);
	int insert(PersonSuperviseRelation model);
	int update(PersonSuperviseRelation model);
	int delete(String id);
	List<PersonSuperviseRelation> list();
	Page<PersonSuperviseRelation> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    List<PersonSuperviseRelation> findByPersonPopedomId(String popedom);
}